.show-button {
    display: flex;
    width: 200px;
    height: 100px;
    justify-content: center;
    align-items: center;
    background-color: coral;
    color: #fff;
    cursor: pointer;
}
.hidden-content {
    opacity: 0;
    transition: all 0.5s ease-in-out;
}
.hidden-text {
    color: red;
    font-size: 30px;
}
.hidden-img {
    width: 300px;
    height: auto;
}
.show-button:hover + .hidden-content {
    transition: all 0.5s ease-in-out;
    opacity: 1;
}